/* Datei: basis.c */
#include <stdio.h>
#include <stdlib.h>

#include "basis.h"
#include "stack.h"   /* Import der Funktionen und Konstanten      */
                     /* des Moduls "stack"                        */

#define BASIS 2

void basis_printBinaer (unsigned n)
{
   int zahl;                      /* Laufende Zahl vom Stack      */
   int status = 0;                /* Rueckgabewerte von           */
                                  /* stack_push(), stack_pop()    */

   while (n)
   {
      status = stack_push (n);    /* Zahl auf Stack ablegen       */
      n /= BASIS;
   }

   if (status == STACK_OK)
   {
      while (stack_num ())
      {
         status = stack_pop (&zahl); /* Oberste Zahl vom Stack    */
                                     /* holen                     */
         printf ("%u", zahl %  BASIS ); /* Rest beim Teilen durch */
                                        /* 2 ausgeben             */
      }
   }
   else
   {
      fprintf (stderr, "\nProgrammabbruch.\n");
      exit (status);       /* Weiterarbeiten nicht mglich... */
   }
}
